ch.qos.logback.core.net.ssl

## Interface SSL

    public interface SSL

Various constants used by the SSL implementation.

Author:
  Carl Harris

### Field Summary

Fields
`static String` `DEFAULT_KEYSTORE_PASSWORD` Default key store passphrase
`static String` `DEFAULT_KEYSTORE_TYPE` Default key store type
`static String` `DEFAULT_PROTOCOL` Default secure transport protocol
`static String` `DEFAULT_SECURE_RANDOM_ALGORITHM` Default secure random generator algorithm

### Field Detail

#### DEFAULT_PROTOCOL

    static final String DEFAULT_PROTOCOL

Default secure transport protocol

See Also:
  Constant Field Values

#### DEFAULT_KEYSTORE_TYPE

    static final String DEFAULT_KEYSTORE_TYPE

Default key store type

See Also:
  Constant Field Values

#### DEFAULT_KEYSTORE_PASSWORD

    static final String DEFAULT_KEYSTORE_PASSWORD

Default key store passphrase

See Also:
  Constant Field Values

#### DEFAULT_SECURE_RANDOM_ALGORITHM

    static final String DEFAULT_SECURE_RANDOM_ALGORITHM

Default secure random generator algorithm

See Also:
  Constant Field Values